Bug 484598 - Review Request: grin - Grep-like tool for source code
Review Request: grin - Grep-like tool for source code
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On: 484597
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 16:12 EST by Terje Røsten
Modified: 2010-07-09 01:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: grin-1.1.1-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-03 17:03:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2009-02-08 16:12:43 EST
spec: http://terjeros.fedorapeople.org/grin/grin.spec
srpm: http://terjeros.fedorapeople.org/grin/grin-1.1.1-1.fc10.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1113774

Description:

grin is a similar in function to GNU grep, however it's has modified
behaviour to make it simpler to use when grepping source code.

Some features grin feature are:

  * recurse directories by default
  * do not go into directories with specified names
  * do not search files with specified extensions
  * be able to show context lines before and after matched lines
  * Python regex syntax
  * unless suppressed via a command line option, display the filename 
    regardless of the number of files
  * accept a file (or stdin) with a list of newline-separated filenames
  * grep through gzipped text files
  * be useful as a library to build custom tools quickly
Comment 1 Marcela Mašláňová 2009-02-18 10:00:21 EST
OK source files match upstream 9dca5a5876938adfd9dfc20869818660
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field matches the actual license.
OK BSD license is open source-compatible. License text not included upstream.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
OK debuginfo package isn't need.
FAIL rpmlint is silent.
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.

I run also test, which failed probably because I don't have nose installed?
grin.noarch: W: no-documentation
grin.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/grin.py 0644
Comment 2 Terje Røsten 2009-02-21 10:55:14 EST
- add docs
- rpmlint clean
- add %%check section

spec: http://terjeros.fedorapeople.org/grin/grin.spec
srpm: http://terjeros.fedorapeople.org/grin/grin-1.1.1-2.fc10.src.rpm
koji: n/a (koji server down this weekend)
Comment 3 Marcela Mašláňová 2009-02-26 02:46:10 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=1185653

ACCEPT
Comment 4 Terje Røsten 2009-02-26 12:52:32 EST
Thanks Marcela!

New Package CVS Request
=======================
Package Name: grin
Short Description: Grep-like tool for source code
Owners: terjeros
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-02-26 19:21:32 EST
cvs done.
Comment 6 Terje Røsten 2009-03-03 17:03:10 EST
Imported, built and pushed to bodhi.
Comment 7 Pavel Alexeev 2010-05-07 05:18:13 EDT
Please, can you maintain it for EPEL5 too? If it not so hard...
Comment 8 Terje Røsten 2010-06-09 14:02:53 EDT
Sorry for the late reply. At the moment I don't maintain any package for EPEL, sorry.
Comment 9 Pavel Alexeev 2010-06-10 04:46:29 EDT
I built it on El5 and El6 it seams no problem there. If you do not argue, I can co-maintain it for epel.
Comment 10 Terje Røsten 2010-06-10 05:51:59 EDT
Great, thanks!
Comment 11 Pavel Alexeev 2010-06-10 17:12:05 EDT
Package Change Request
======================
Package Name: grin
New Branches: EL-4 EL-5
Owners: hubbitus
Comment 12 Kevin Fenzi 2010-06-11 00:45:15 EDT
cvs done. 

Would you also like a EL-6 branch?
Comment 13 Pavel Alexeev 2010-06-11 05:30:48 EDT
Sorry, it is my error. Instead EL-4 should be EL-6!
I do not think it is possible (at least is not so easy) import for EL-4 because some python dependencies like python-argparse.
Comment 14 Pavel Alexeev 2010-06-15 08:58:36 EDT
Package Change Request
======================
Package Name: grin
New Branches: EL-6
Delete Branches: EL-4
Owners: hubbitus

If delete branch is impossible, just ignore it, and I ignore it also. Again sorry for the mistake.
Comment 15 Jason Tibbitts 2010-06-18 12:15:00 EDT
We cannot delete branches.  I have created the EL-6 branch.
Comment 16 Pavel Alexeev 2010-06-18 17:22:05 EDT
Thank you. And sorry for the error.
Updates follow.
Comment 17 Fedora Update System 2010-06-18 17:22:53 EDT
grin-1.1.1-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/grin-1.1.1-3.el5
Comment 18 Pavel Alexeev 2010-06-18 17:25:37 EDT
Strange, on El6 build successfull, but update was not pushed with erorr:
Creating a new update for  grin-1.1.1-3.el6 
hubbitus does not have commit access to grin
Comment 19 Fedora Update System 2010-07-09 01:57:19 EDT
grin-1.1.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.